Skip to main content
`Ctrl`+`K`

# TaoView

Prints information about the `Tao` object

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoView(Tao tao, PetscViewer viewer)

Collective

## Input Parameters

- tao - the `Tao` context

- viewer - visualization context

## Options Database Key

- -tao_view - Calls `TaoView()` at the end of `TaoSolve()`

## Notes

The available visualization contexts include

- `PETSC_VIEWER_STDOUT_SELF` - standard output (default)

- `PETSC_VIEWER_STDOUT_WORLD` - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

To view all the `TaoTerm` inside of `Tao`, use `PETSC_VIEWER_ASCII_INFO_DETAIL`, or pass `-tao_view ::ascii_info_detail` flag

## See Also

TAO: Optimization Solvers, `Tao`, `PetscViewerASCIIOpen()`

## Level

beginner

## Location

src/tao/interface/taosolver.c

## Examples

src/tao/unconstrained/tutorials/minsurf2.c
src/tao/bound/tutorials/plate2.c
src/tao/unconstrained/tutorials/rosenbrock1f.F90

## Implementations

TaoView_BLMVM() in src/tao/bound/impls/blmvm/blmvm.c
TaoView_BNCG() in src/tao/bound/impls/bncg/bncg.c
TaoView_BNK() in src/tao/bound/impls/bnk/bnk.c
TaoView_BQNK() in src/tao/bound/impls/bqnk/bqnk.c
TaoView_TRON() in src/tao/bound/impls/tron/tron.c
TaoView_SSLS() in src/tao/complementarity/impls/ssls/ssls.c
TaoView_ADMM() in src/tao/constrained/impls/admm/admm.c
TaoView_ALMM() in src/tao/constrained/impls/almm/almm.c
TaoView_IPM() in src/tao/constrained/impls/ipm/ipm.c
TaoView_PDIPM() in src/tao/constrained/impls/ipm/pdipm.c
TaoView_BRGN() in src/tao/leastsquares/impls/brgn/brgn.c
TaoView_POUNDERS() in src/tao/leastsquares/impls/pounders/pounders.c
TaoView_LCL() in src/tao/pde_constrained/impls/lcl/lcl.c
TaoView_BQPIP() in src/tao/quadratic/impls/bqpip/bqpip.c
TaoView_GPCG() in src/tao/quadratic/impls/gpcg/gpcg.c
TaoView_BMRM() in src/tao/unconstrained/impls/bmrm/bmrm.c
TaoView_CG() in src/tao/unconstrained/impls/cg/taocg.c
TaoView_LMVM() in src/tao/unconstrained/impls/lmvm/lmvm.c
TaoView_NM() in src/tao/unconstrained/impls/neldermead/neldermead.c
TaoView_NLS() in src/tao/unconstrained/impls/nls/nls.c
TaoView_NTL() in src/tao/unconstrained/impls/ntl/ntl.c
TaoView_OWLQN() in src/tao/unconstrained/impls/owlqn/owlqn.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages